=== modified file 'drizzled/field.h'
--- drizzled/field.h	2011-01-05 17:21:13 +0000
+++ drizzled/field.h	2011-01-13 01:04:53 +0000
@@ -93,6 +93,7 @@
    */
 private:
   Table *table;
+
 public:
   Table *getTable()
   {
@@ -805,6 +806,7 @@
   */
   typedef void Copy_func(CopyField*);
   Copy_func *get_copy_func(Field *to, Field *from);
+
 public:
   unsigned char *from_ptr;
   unsigned char *to_ptr;
@@ -819,8 +821,23 @@
   Field *to_field;
   String tmp;					// For items
 
-  CopyField() {}
-  ~CopyField() {}
+  CopyField() :
+    from_ptr(0),
+    to_ptr(0),
+    from_null_ptr(0),
+    to_null_ptr(0),
+    null_row(0),
+    from_bit(0),
+    to_bit(0),
+    from_length(0),
+    to_length(0),
+    from_field(0),
+    to_field(0)
+  {}
+
+  ~CopyField()
+  {}
+
   void set(Field *to,Field *from,bool save);	// Field to field
   void set(unsigned char *to,Field *from);		// Field to string
   void (*do_copy)(CopyField *);

